var Controller = function Controller() {
  this.request = null;
  this.response = null;
};

Controller.prototype.handle = function(func) {
  this[func.name] = function () {
    var args = Array.prototype.slice.call(arguments)
      , len = args.length;

    this.request = args[len - 2];
    this.response = args[len - 1];

    func.apply(this);
  };
};

Controller.prototype.render = function (content) {
  this.response.write(content);
};

exports = module.exports = Controller;